Bug 1250821 - [RHGS 3.1 RHEL-7 AMI] RHEL-7 repo disabled by default, NFS and samba repos enabled by default
[RHGS 3.1 RHEL-7 AMI] RHEL-7 repo disabled by default, NFS and samba repos en...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: ami (Show other bugs)
3.1
Unspecified Unspecified
high Severity high
: ---
: RHGS 3.1.1
Assigned To: Sreenath G
Anush Shetty
: ZStream
Depends On: 1251019 1253567
Blocks: 1251815
  Show dependency treegraph
 
Reported: 2015-08-06 01:46 EDT by Anush Shetty
Modified: 2015-10-05 03:22 EDT (History)
11 users (show)

See Also:
Fixed In Version: rh-amazon-rhui-client-2.2.124-1.el7
Doc Type: Bug Fix
Doc Text:
Previously, Amazon Machine Images (AMIs) for Red Hat Gluster Storage 3.1 on Red Hat Enterprise Linux 7 were having NFS and Samba repositories enabled by default and Red Hat Enterprise Linux 7 repositories disabled. This issue was fixed in rh-amazon-rhui-client-2.2.124-1.el7 package build and new AMI image was created to include that. Now, a new set of AMIs are uploaded in production, where the Red Hat Enterprise Linux 7 repositories will be enabled by default, and NFS and Samba repositories will be disabled (as expected) and must be manually enabled.
Story Points: ---
Clone Of:
: 1251019 (view as bug list)
Environment:
Last Closed: 2015-10-05 03:22:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-08-06 01:46:42 EDT
Description of problem: In the RHGS RHEL-7 AMI, RHEL-7 repos are disabled by default. We need to manually enable the repos. 


Version-Release number of selected component (if applicable): RHEL-7.1_HVM-RHGS-3.1-20150805-x86_64-7-Access2-GP2 (ami-4bb51720)


To enable the repo, the following command should be run:

yum-config-manager --enable yum-config-manager --enable 

Actual results:

less /etc/yum.repos.d/redhat-rhui.repo 

# The amazon ec2 region is now dynamically set via yum.  REGION can be replaced by the amazon ec2 region for debugging
[rhui-REGION-rhel-server-releases]
name=Red Hat Enterprise Linux Server 7 (RPMs)
mirrorlist=https://rhui2-cds01.REGION.aws.ce.redhat.com/pulp/mirror/content/dist/rhel/rhui/server/7/$releasever/$basearch/os
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release 
sslverify=1
sslclientkey=/etc/pki/rhui/content-rhel7.key
sslclientcert=/etc/pki/rhui/product/content-rhel7.crt
sslcacert=/etc/pki/rhui/cdn.redhat.com-chain.crt
Comment 2 Anush Shetty 2015-08-06 01:49:18 EDT
Correcting the typo in the description
------------------------------------------------------------------

To enable the repo, the following command should be run:

yum-config-manager --enable rhui-REGION-rhel-server-releases
Comment 3 Anjana Suparna Sriram 2015-08-06 05:15:25 EDT
Rejy,

I have edited the doc text. Please review and sign off to be included in the Release Notes.
Comment 4 Rejy M Cyriac 2015-08-06 05:40:34 EDT
(In reply to Anjana Suparna Sriram from comment #3)
> Rejy,
> 
> I have edited the doc text. Please review and sign off to be included in the
> Release Notes.

Just fixed one obvious typo, in a word being repeated

The Doc Text is good to be included
Comment 7 Anjana Suparna Sriram 2015-08-10 06:40:48 EDT
Added to the known issues chapter.
Comment 8 Rejy M Cyriac 2015-08-13 02:38:00 EDT
There is also another issue with the repos

The NFS and Samba repos are enabled by default

Expected results:

The NFS and Samba repos should be disabled by default
Comment 14 Sreenath G 2015-09-07 02:24:10 EDT
AMI image with latest rh-amazon-rhui-client-2.2.124-1.el7 package uploaded to "us-east-1"  (AMI-ID : ami-43553726 ), with access to QE only. Once its tested and passed, I will upload it to all regions in production.
Comment 16 Sreenath G 2015-09-14 15:08:42 EDT
A new image created with latest rhui client rh-amazon-rhui-client-2.2.124-1.el7 with the fix. AMI-ID is ami-8f3440ea in region us-east-1.
Comment 17 Anush Shetty 2015-09-15 03:20:24 EDT
VERFIED with RHEL-7.1_HVM-RHGS-3.1-20150914-x86_64-10-Access2-GP2 (ami-8f3440ea)


#yum-config-manager --enable rhui-REGION-rh-gluster-3-nfs-for-rhel-7-server-rpms --enable rhui-REGION-rh-gluster-3-samba-for-rhel-7-server-rpms

# yum repolist
Loaded plugins: aliases, amazon-id, changelog, kabi, langpacks, rhui-lb, tmprepo, verify, versionlock
Loading support for Red Hat kernel ABI
rhui-REGION-rh-gluster-3-for-rhel-7-server-rpms                                                                                                                  | 3.5 kB  00:00:00     
rhui-REGION-rh-gluster-3-nfs-for-rhel-7-server-rpms                                                                                                              | 3.5 kB  00:00:00     
rhui-REGION-rh-gluster-3-samba-for-rhel-7-server-rpms                                                                                                            | 3.5 kB  00:00:00     
(1/4): rhui-REGION-rh-gluster-3-nfs-for-rhel-7-server-rpms/7Server/x86_64/updateinfo                                                                             | 4.8 kB  00:00:00     
(2/4): rhui-REGION-rh-gluster-3-nfs-for-rhel-7-server-rpms/7Server/x86_64/primary_db                                                                             | 5.1 kB  00:00:00     
(3/4): rhui-REGION-rh-gluster-3-samba-for-rhel-7-server-rpms/7Server/x86_64/primary_db                                                                           |  36 kB  00:00:00     
(4/4): rhui-REGION-rh-gluster-3-samba-for-rhel-7-server-rpms/7Server/x86_64/updateinfo                                                                           | 1.5 kB  00:00:00     
repo id                                                                                  repo name                                                                                status
rhui-REGION-client-config-server-6-rhs                                                   Red Hat Enterprise Linux 7 Client Config for Red Hat Gluster Storage                         1
rhui-REGION-client-config-server-7/x86_64                                                Red Hat Update Infrastructure 2.0 Client Configuration Server 7                              6
rhui-REGION-rh-gluster-3-for-rhel-7-server-rpms/7Server/x86_64                           Red Hat Gluster Storage 3 (RPMs) from RHUI                                                 120
rhui-REGION-rh-gluster-3-nfs-for-rhel-7-server-rpms/7Server/x86_64                       Red Hat Gluster Storage 3 NFS (RPMs) from RHUI                                               3
rhui-REGION-rh-gluster-3-samba-for-rhel-7-server-rpms/7Server/x86_64                     Red Hat Gluster Storage 3 Samba (RPMs) from RHUI                                            22
rhui-REGION-rhel-server-releases/7Server/x86_64                                          Red Hat Enterprise Linux Server 7 (RPMs)                                                 7,459
rhui-REGION-rhel-server-rh-common/7Server/x86_64                                         Red Hat Enterprise Linux Server 7 RH Common (RPMs
Comment 18 Divya 2015-09-29 04:17:38 EDT
Sreenath,

Please review and sign-off the edited doc text.
Comment 20 errata-xmlrpc 2015-10-05 03:22:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.